//---------------------------------------------------------------------------

#ifndef MainFormH
#define MainFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <MPlayer.hpp>
#include <Dialogs.hpp>
#include <ImgList.hpp>
#include <jpeg.hpp>
#include <Mask.hpp>
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
	TPanel *pnlLeft;
	TPanel *pnlTop1;
	TToolBar *barTools1;
	TPanel *pnlRight;
	TPanel *pnlBottom;
	TPageControl *pgeMain;
	TTabSheet *shtToolbars;
	TTabSheet *shtMovie;
	TButton *btnHideTools;
	TButton *btnShowTools;
	TStatusBar *barStatus;
	TToolBar *barTools2;
	TToolButton *btnNew;
	TToolButton *btnOpen;
	TToolButton *btnSave;
	TToolButton *btnSaveAs;
	TToolButton *btnNewer;
	TToolButton *btnOpener;
	TToolButton *btnSaver;
	TButton *btnShowForm;
	TPanel *pnlMovieControls;
	TPanel *pnlMovie;
	TCheckBox *chkStretch;
	TMediaPlayer *mpMovie;
	TTabSheet *shtMusic;
	TPanel *pnlAudioControls;
	TMediaPlayer *mpWAV;
	TOpenDialog *dlgFileOpen;
	TButton *btnOpenWAV;
	TButton *btnOpenMovie;
	TCheckBox *chkEmbedded;
	TImage *imgAlbumCover;
	TTabSheet *shtScrollBox;
	TButton *btnPopulate;
	TLabel *lblScrollIncrement;
	TTrackBar *barScrollSize;
	TLabel *lblPhoneNumber;
	TMaskEdit *medtPhoneNumber;
	TLabel *lblPassword;
	TMaskEdit *medtPassword;
	TLabel *lblTDateTimePicker;
	TDateTimePicker *dtpToday;
	TScrollBox *sboxButtons;
	void __fastcall pnlTop1DockDrop(TObject *Sender, TDragDockObject *Source, int X, int Y);
	void __fastcall barTools1StartDock(TObject *Sender, TDragDockObject *&DragObject);
	void __fastcall pnlLeftDockDrop(TObject *Sender, TDragDockObject *Source, int X, int Y);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall btnShowToolsClick(TObject *Sender);
	void __fastcall btnHideToolsClick(TObject *Sender);
	void __fastcall barTools2StartDock(TObject *Sender,	TDragDockObject *&DragObject);
	void __fastcall btnShowFormClick(TObject *Sender);
	void __fastcall pnlMovieResize(TObject *Sender);
	void __fastcall btnOpenWAVClick(TObject *Sender);
	void __fastcall btnOpenMovieClick(TObject *Sender);
	void __fastcall chkStretchClick(TObject *Sender);
	void __fastcall btnPopulateClick(TObject *Sender);
	void __fastcall barScrollSizeChange(TObject *Sender);
private:
public:
	__fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
